import { SVGProps } from 'react'

const IconCar = (props: SVGProps<SVGSVGElement>) => {
  return (
    <svg
      width={48}
      height={48}
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <path
        d="M40.612 38.414l-23.685 6.36c-3.18.841-6.453-1.03-7.294-4.209l-6.36-23.684c-.841-3.18 1.029-6.453 4.209-7.295L31.166 3.25c3.18-.842 6.453 1.029 7.295 4.208l6.336 23.685c.888 3.156-1.005 6.43-4.185 7.271z"
        fill="#E1E4F4"
      />
      <path
        d="M15.899 19.686s-1.426-1.332-1.38-2.08c.047-.749.28-1.216.678-1.123.398.07.959.702.959 1.006 0 .304-.304.935 0 1.262.327.35.585.959-.257.935z"
        fill="#57617F"
      />
      <path
        d="M7.856 28.547l1.894 5.448 17.138-4.349 9.562-12.11-2.852-9.353-.304-.538a1.265 1.265 0 00-1.73-.467l-10.919 6.289a9.434 9.434 0 00-2.361 1.94l-4.302 4.934c-.28.327-.585.608-.912.865l-3.507 2.712a4.352 4.352 0 00-1.707 3.46v1.17z"
        fill="#F97A7A"
      />
      <path
        d="M8.136 25.391c-.093.21-.49 1.356-.865 2.806-.56.538-.748 1.332-.748 1.777v2.946c0 .911.491 1.753 1.263 2.197a5714.85 5714.85 0 004.676 2.69 8.858 8.858 0 004.419 1.168h1.239l1.169-7.154-11.153-6.43z"
        fill="#57617F"
      />
      <path
        d="M7.154 29.623l.398-.187c0-1.099.327-2.081.327-2.081l1.45-1.31-1.193-.677c-.093.21-.49 1.356-.865 2.805-.56.538-.748 1.333-.748 1.777V32.872s.304.07.304-.116c.117-1.192.327-3.133.327-3.133z"
        fill="#EF3F54"
      />
      <path
        d="M13.584 20.832l12.392 7.154-5.822 3.344a4.679 4.679 0 01-1.824.608l-2.431.28a4.323 4.323 0 01-2.595-.538l-4.28-2.478a2.327 2.327 0 01-1.145-1.987v-.678c0-.819.374-1.59 1.029-2.081l4.676-3.624zM20.528 13.981s-.28 1.894 2.572 3.554c2.852 1.66 5.728 2.198 5.728 2.198l13.748-7.178-9.282-5.33a1.86 1.86 0 00-1.847 0L21.183 13.14l-.655.841z"
        fill="#F97A7A"
      />
      <path
        d="M20.434 31.166l2.97-1.707a7.966 7.966 0 003.53-4.278l1.894-5.448 12.181-7.037c.678-.398 1.543-.304 2.151.21l.842.725c1.262 1.075 1.964 2.665 1.964 4.325v3.858a4.055 4.055 0 01-2.01 3.484L22.023 37.97a7.648 7.648 0 01-3.787 1.005h-1.24c-1.355 0-2.478-1.099-2.478-2.455v-1.73a2.706 2.706 0 012.385-2.689l1.122-.116a6.406 6.406 0 002.409-.819z"
        fill="#EF3F54"
      />
      <path
        d="M28.875 26.116l13.584-8.698a.616.616 0 00.093-.982l-1.963-1.87c-.21-.187-.515-.234-.749-.094l-8.534 4.934a4.267 4.267 0 00-2.01 2.572l-1.076 3.647c-.14.397.304.725.655.49z"
        fill="#FFB75E"
      />
      <path
        d="M14.496 20.458l4.091-4.816c.234-.258.632-.304.889-.07.678.584 2.01 1.66 3.343 2.43 1.427.82 3.46 1.66 4.466 2.058.327.117.468.491.35.819l-2.267 5.658a.956.956 0 01-1.263.538c-1.59-.632-4.863-1.965-6.64-2.993-1.426-.819-2.408-1.754-2.946-2.362-.327-.35-.327-.888-.023-1.262z"
        fill="#FDFDFD"
      />
      <path
        d="M16.413 34.58c-.795.467-.935.842-.935 1.683v2.479l-2.08-1.123 1.098-3.016 4.091-1.38c0-.023-.303.258-2.174 1.357z"
        fill="#57617F"
      />
      <path
        d="M7.552 27.262s-.865 2.805 0 3.296l6.687 4.209s.935.187 3.156-.234c.257-.047.982-.585 2.128-1.52.117-.093 0-.28-.117-.21-1.076.42-3.016 1.028-4.863.701-1.917-1.075-6.968-4.021-6.968-4.021s-.14-1.076-.023-2.221z"
        fill="#FFB75E"
      />
      <path
        d="M7.552 29.46l6.967 4.02s-.187 2.105-.935 1.66c-.748-.42-5.097-2.945-5.705-3.32-.56-.35-.327-2.36-.327-2.36zM27.425 34.86l-.093-2.642-.585-.701h-2.104l-1.52 1.075-1.847 2.666-.841 2.875.117.491s.841-.234 1.543-.701c.724-.491 5.33-3.063 5.33-3.063z"
        fill="#2B2E3A"
      />
      <path
        d="M24.199 32.218c-.304 0-.585.07-.842.234a5.012 5.012 0 00-2.525 4.372c0 .935.748 1.683 1.683 1.683.304 0 .608-.093.842-.233a5.06 5.06 0 002.525-4.373c0-.935-.748-1.683-1.683-1.683z"
        fill="#2B2E3A"
      />
      <path
        d="M21.674 38.274l1.262.701 3.32-5.845-1.286-.725-3.296 5.869zM45.218 23.825l-.07.397-2.292 1.52-1.636 1.122-2.9 1.66 1.474-4.723 2.735-2.385s1.637-.28 1.683-.35c.047-.07 1.123.514 1.123.514l.117 1.005-.234 1.24z"
        fill="#2B2E3A"
      />
      <path
        d="M42.202 21.907c-.304 0-.585.07-.842.234a5.012 5.012 0 00-2.525 4.372c0 .936.748 1.684 1.683 1.684.304 0 .608-.094.842-.234a5.06 5.06 0 002.525-4.372c0-.935-.748-1.684-1.683-1.684z"
        fill="#2B2E3A"
      />
      <path
        d="M39.677 27.963l1.262.725 3.32-5.869-1.286-.724-3.296 5.868z"
        fill="#2B2E3A"
      />
      <path
        d="M43.464 22.632c-.304 0-.584.07-.841.234a5.012 5.012 0 00-2.526 4.372c0 .935.749 1.683 1.684 1.683.304 0 .608-.093.842-.233a5.06 5.06 0 002.525-4.372c0-.936-.749-1.684-1.684-1.684z"
        fill="#57617F"
      />
      <path
        d="M43.3 23.287c-.233 0-.467.07-.654.187a3.979 3.979 0 00-1.987 3.46c0 .725.584 1.333 1.332 1.333.234 0 .468-.07.678-.187a4.008 4.008 0 001.988-3.46c-.024-.749-.608-1.333-1.356-1.333z"
        fill="#57617F"
      />
      <path
        d="M20.551 38.624s1.17-5.751 4.49-6.78c3.32-1.029 1.846 3.297 1.846 3.297l.96-.561s.63-4.536-2.806-3.46c-4.42 1.402-5.776 7.762-5.776 7.762.421.163.96-.047 1.286-.258zM43.137 20.879c-4.91 1.566-5.775 8.23-5.775 8.23l1.31-.749s1.122-5.728 4.442-6.757c2.501-.771 2.29 1.473 2.034 2.642a4.057 4.057 0 00.748-1.683c-.21-1.146-.842-2.315-2.759-1.683z"
        fill="#F97A7A"
      />
      <path
        d="M25.461 32.943c-.304 0-.584.07-.841.234a5.012 5.012 0 00-2.526 4.372c0 .935.749 1.683 1.684 1.683.304 0 .608-.093.842-.233a5.06 5.06 0 002.525-4.373c0-.935-.748-1.683-1.684-1.683z"
        fill="#57617F"
      />
      <path
        d="M25.321 33.528c-.257 0-.49.07-.678.187a4.117 4.117 0 00-2.057 3.553c0 .749.608 1.356 1.356 1.356.257 0 .49-.07.701-.187a4.087 4.087 0 002.034-3.53c.024-.771-.608-1.38-1.356-1.38zM29.272 24.853c-.327.024-.724.445-.724 1.006.023.56.28.654.49.748.211.093 1.871.374 2.315-.094.444-.467.304-.818-.093-1.028-.398-.21-1.52-.678-1.988-.632z"
        fill="#57617F"
      />
      <path
        d="M28.01 25.952c-.047.281.654.374.795.398.14.023.023-.725-.117-.772-.14-.046-.655.187-.678.374z"
        fill="#57617F"
      />
      <path
        d="M7.435 32.686l7.084 4.091c.421 2.198.912 2.081.912 2.081-.888-.14-1.8-.444-2.782-.982l-4.817-2.805c-.49-.351-.911-.702-.981-1.006-.024-.397.584-1.38.584-1.38z"
        fill="#2B2E3A"
      />
      <path
        d="M14.332 21.51c-.514.561-.958 1.169-1.426 1.753l-1.38 1.754-1.402 1.754c-.234.28-.468.584-.702.865-.117.14-.233.304-.35.444-.117.164-.234.304-.28.49-.024-.186.046-.397.116-.56.07-.187.14-.35.21-.538.164-.35.351-.678.538-1.005.398-.655.819-1.286 1.31-1.87.467-.585.981-1.17 1.52-1.684.56-.561 1.145-1.076 1.846-1.403zM14.052 31.564c.701-.538 1.473-.936 2.244-1.333a53.255 53.255 0 012.338-1.122c.795-.351 1.59-.702 2.409-1.006a30.767 30.767 0 012.454-.888c-.701.538-1.45.982-2.22 1.403-.772.42-1.544.795-2.339 1.145-.795.351-1.59.678-2.408.982-.818.304-1.637.561-2.478.819z"
        fill="#EF3F54"
      />
      <path
        fillRule="evenodd"
        clipRule="evenodd"
        d="M35.25 16.125l1.875 6L36 23.25l-1.875-6 1.125-1.125z"
        fill="#EF3F54"
      />
      <path
        d="M45.802 16.53s-.187.537-1.332 1.239c0 .585 1.099 1.099 1.496.888 0 0 .093-1.332-.164-2.127z"
        fill="#FFB75E"
      />
    </svg>
  )
}

export default IconCar
